Bug 176163 - [RHEL4] evolution failed to migrate my calendars from RHEL3U7
[RHEL4] evolution failed to migrate my calendars from RHEL3U7
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 14:32 EST by Zack Cerza
Modified: 2008-02-03 11:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-03 11:29:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tarred up ~/evolution during migration, with the error dialog still visible (24.05 KB, application/x-gzip)
2005-12-19 14:32 EST, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2005-12-19 14:32:06 EST
Description of problem:
I had a U7 install on which I was doing evolution testing. I upgraded to U3 via
anaconda, and when I logged in and started evolution, it migrated some things
but complained thusly:

"Upgrade from previous version failed: 

Unable to migrate calender `new'.

If you choose to continue, you may not have access to some of your old data."

I don't know if this is a regression.

Version-Release number of selected component (if applicable):
evolution-2.0.2-25
Comment 1 Zack Cerza 2005-12-19 14:32:07 EST
Created attachment 122417 [details]
tarred up ~/evolution during migration, with the error dialog still visible
Comment 2 Dave Malcolm 2005-12-19 23:18:32 EST
Do you have the ~/evolution folder available somewhere?
Comment 3 Zack Cerza 2005-12-20 12:04:06 EST
comment #2, see the attachment in comment #1 :)
Comment 4 Dave Malcolm 2005-12-20 12:49:05 EST
~/evolution, not ~/.evolution

Alternatively, can you email me details of the machine so I can investigate
further?  Thanks
Comment 5 Zack Cerza 2005-12-20 16:12:44 EST
Comment on attachment 122417 [details]
tarred up ~/evolution during migration, with the error dialog still visible

correcting description
Comment 6 Zack Cerza 2005-12-20 16:13:38 EST
the attachment's description was wrong.
Comment 7 Dave Malcolm 2005-12-21 17:23:07 EST
I'm able to reproduce by editing /apps/evolution/version and last version back
to 1.4.5 and moving aawy the ~/.evolution directory.

I get lots of warnings of this form:
(evolution:11416): calendar-gui-WARNING **: Migration of object failed: Invalid
object

Investigating why...
Comment 8 Dave Malcolm 2005-12-21 17:46:09 EST
On the evolution side it's failing inside:

GNOME_Evolution_Calendar_Cal_createObject (priv->cal,
icalcomponent_as_ical_string (icalcomp), &ev);

within:

#0  e_cal_create_object (ecal=0x90d2748, icalcomp=0x0, uid=0x0, 
    error=0xbfe5e3c4) at e-cal.c:3712
#1  0x05fce772 in migrate_ical_folder_to_source (old_path=Variable "old_path" is
not available.
) at migration.c:291
#2  0x05fce8b6 in migrate_ical_folder (
    old_path=0x90470f0 "/home/test/evolution/local/Calendar/subfolders/new", 
    dest_group=0x9000460, source_name=0x0, type=E_CAL_SOURCE_TYPE_EVENT)
    at migration.c:358
#3  0x05fcf9a5 in migrate_calendars (component=0x8fff470, major=1, minor=4, 
    revision=5, err=0xbfe5e588) at migration.c:763
#4  0x05f716d0 in impl_upgradeFromVersion (servant=0x8fff484, major=1, 
    minor=4, revision=5, ev=0x0) at calendar-component.c:637
#5  0x00aebb02 in _ORBIT_skel_small_GNOME_Evolution_Component_upgradeFromVersion
(_o_servant=0x0, _o_retval=0x0, _o_args=0x8e849e0, _o_ctx=0x0, _o_ev=0x0, 
    _impl_upgradeFromVersion=0x5f71671 <impl_upgradeFromVersion>)
    at Evolution-common.c:24
#6  0x0783046d in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#7  0x00aecec5 in GNOME_Evolution_Component_upgradeFromVersion (_obj=0x0, 
    major=1, minor=4, revision=5, ev=0x0) at Evolution-stubs.c:21
#8  0x08060015 in e_shell_attempt_upgrade ()
#9  0x080622d5 in e_shell_construct ()
#10 0x0806240b in e_shell_new ()
#11 0x080634d2 in e_sidebar_new ()
#12 0x003d9a98 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#13 0x003d674b in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#14 0x003d81d2 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#15 0x003d847f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#16 0x00dbcdd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#17 0x08063b49 in main ()
Comment 9 Dave Malcolm 2005-12-21 18:12:42 EST
Reproduced with evolution-2.0.2-22
Comment 10 Matthew Barnes 2008-02-03 11:29:59 EST
Evolution 2.0.2 is only being updated for security issues.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.